FROM klakegg/hugo:0.82.0-ext-alpine

RUN apk add --no-cache git curl
RUN curl -L https://github.com/maxaudron/docsonnet/releases/download/v0.1.0/docsonnet-v0.1.0-linux-amd64.tar.gz | tar -xz -C /usr/local/bin

COPY . /work/hugo

RUN git clone --single-branch https://github.com/jsonnet-libs/k8s-alpha /work/k8s-alpha

WORKDIR /work/hugo
